//---------------------------------------------------------------------------
// http://radiohlam.ru
#ifndef MainProgramH
#define MainProgramH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include <ComCtrls.hpp>
#include <jpeg.hpp>
#include <math.h>
#include <Dialogs.hpp>
#include <Grids.hpp>
//---------------------------------------------------------------------------
void OpenPort(void);                    // îòêðûòèå ïîðòà
void ClosePort(void);                   // çàêðûòèå ïîðòà
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TMainMenu *MainMenu1;
        TMenuItem *File1;
        TMenuItem *Exit1;
        TMenuItem *Help1;
        TMenuItem *About1;
        TPanel *Panel1;
        TEdit *Edit1;
        TButton *Button1;
        TButton *Button2;
        TComboBox *ComboBox1;
        TMenuItem *Open1;
        TMenuItem *Saveas1;
        TMenuItem *Save1;
        TMenuItem *N4;
        TStringGrid *StringGrid1;
        TButton *Button3;
        TEdit *Edit2;
        TLabel *Label1;
        TLabel *Label2;
        TEdit *Edit3;
        TPopupMenu *PopupMenu1;
        TMenuItem *Select1;
        TOpenDialog *OpenDialog1;
        TSaveDialog *SaveDialog1;
        TMemo *Memo1;
        TPanel *Panel2;
        TButton *Button4;
        TButton *Button5;
        TButton *Button6;
        TButton *Button7;
        TButton *Button8;
        TButton *Button9;
        TButton *Button10;
        TButton *Button11;
        TMenuItem *ChipSelect1;
        TMenuItem *DS24311;
        TLabel *Label3;
        TEdit *Edit4;
        TLabel *Label4;
        TEdit *Edit5;
        TLabel *Label5;
        TEdit *Edit6;
        TLabel *Label6;
        TEdit *Edit7;
        TPageControl *PageControl1;
        TTabSheet *TabSheet1;
        TTabSheet *TabSheet2;
        TRichEdit *RichEdit1;
        TLabel *Label7;
        TRichEdit *RichEdit2;
        TLabel *Label8;
        TRichEdit *RichEdit3;
        TLabel *Label9;
        TLabel *Label10;
        TRichEdit *RichEdit4;
        TRichEdit *RichEdit5;
        TLabel *Label11;
        TRichEdit *RichEdit6;
        TLabel *Label12;
        TPanel *Panel3;
        TStaticText *StaticText1;
        TMenuItem *DS24301;
        TLabel *Label13;
        TRichEdit *RichEdit7;
        TLabel *Label14;
        TRichEdit *RichEdit8;
        TButton *Button12;
        TMenuItem *DS24B331;
        TMenuItem *DS18B201;
        TTimer *Timer1;
        TMenuItem *DS18S201;
        TMenuItem *SaveLogas1;
        TMenuItem *LangSelect1;
        TMenuItem *Lang1;
        TMenuItem *Lang2;
        TMenuItem *DS19911;
        TCheckBox *CheckBox1;
        TCheckBox *CheckBox2;
        TCheckBox *CheckBox3;
        TCheckBox *CheckBox4;
        TMenuItem *DS14251;
        TMenuItem *DS19921;
        TMenuItem *DS19931;
        TMenuItem *DS19951;
        TMenuItem *DS19961;
        TMenuItem *DS24051;
        TMenuItem *DS18221;
        TMenuItem *DS24151;
        TMenuItem *DS24171;
        TMenuItem *DS19941;
        TMenuItem *DS1963L1;
        TMenuItem *DS24231;
        TMenuItem *DS28901;
        TMenuItem *DS14271;
        TRichEdit *RichEdit9;
        TLabel *Label15;
        TMenuItem *WritableKeys1;
        TMenuItem *RW19901;
        TButton *Button13;
        TLabel *Label16;
        TMenuItem *DS18xx1;
        TMenuItem *DS14xx1;
        TMenuItem *DS19xx1;
        TMenuItem *DS24xx1;
        TMenuItem *DS28xx1;
        TMenuItem *DS24041;
        TMenuItem *DS19201;
        TMenuItem *DS19711;
        TMenuItem *DS28E071;
        TMenuItem *DS28E051;
        TMenuItem *Chippdf1;
        TMenuItem *AN19901;
        TMenuItem *TM20041;
        TMenuItem *DS25xx1;
        TMenuItem *DS25021;
        TMenuItem *DS19821;
        TMenuItem *DS24321;
        TMenuItem *DS1961S1;
        TMenuItem *MAX1;
        TMenuItem *MAX318261;
        TButton *Button14;
        TButton *Button15;
        TMenuItem *ProgrammerSelect1;
        TMenuItem *RH00041;
        TMenuItem *RH00101;
        TButton *Button16;
        TMenuItem *DS28EC201;
        void __fastcall Button1Click(TObject *Sender);
        void __fastcall Button2Click(TObject *Sender);
        void __fastcall ComboBox1Change(TObject *Sender);
        void __fastcall Exit1Click(TObject *Sender);
        void __fastcall About1Click(TObject *Sender);
        void __fastcall Button3Click(TObject *Sender);
        void __fastcall Select1Click(TObject *Sender);
        void __fastcall DS24311Click(TObject *Sender);
        void __fastcall EditsKeyPress(TObject *Sender, char &Key);
        void __fastcall Edit3KeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
        void __fastcall Edit4KeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
        void __fastcall Edit5KeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
        void __fastcall Edit6KeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);  
        void __fastcall RichEditsKeyPress(TObject *Sender, char &Key);
        void __fastcall RichEdit1KeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
        void __fastcall RichEdit2KeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
        void __fastcall RichEdit3KeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
        void __fastcall RichEdit4KeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
        void __fastcall RichEdit5KeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
        void __fastcall RichEdit6KeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
        void __fastcall Open1Click(TObject *Sender);
        void __fastcall Save1Click(TObject *Sender);
        void __fastcall Button4Click(TObject *Sender);
        void __fastcall Button5Click(TObject *Sender);
        void __fastcall Button6Click(TObject *Sender);
        void __fastcall Button7Click(TObject *Sender);
        void __fastcall Button8Click(TObject *Sender);
        void __fastcall Saveas1Click(TObject *Sender);
        void __fastcall Button9Click(TObject *Sender);
        void __fastcall Button10Click(TObject *Sender);
        void __fastcall RichEdit7KeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
        void __fastcall RichEdit8KeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
        void __fastcall DS24301Click(TObject *Sender);
        void __fastcall Button11Click(TObject *Sender);
        void __fastcall Button12Click(TObject *Sender);
        void __fastcall DS24B331Click(TObject *Sender);
        void __fastcall DS18B201Click(TObject *Sender);
        void __fastcall Timer1Timer(TObject *Sender);
        void __fastcall DS18S201Click(TObject *Sender);
        void __fastcall SaveLogas1Click(TObject *Sender);
        void __fastcall Lang1Click(TObject *Sender);
        void __fastcall Lang2Click(TObject *Sender);
        void __fastcall DS19911Click(TObject *Sender);
        void __fastcall DS14251Click(TObject *Sender);
        void __fastcall DS19921Click(TObject *Sender);
        void __fastcall DS19931Click(TObject *Sender);
        void __fastcall DS19951Click(TObject *Sender);
        void __fastcall DS19961Click(TObject *Sender);
        void __fastcall DS24051Click(TObject *Sender);
        void __fastcall DS18221Click(TObject *Sender);
        void __fastcall DS24151Click(TObject *Sender);
        void __fastcall DS24171Click(TObject *Sender);
        void __fastcall DS19941Click(TObject *Sender);
        void __fastcall DS1963L1Click(TObject *Sender);
        void __fastcall DS24231Click(TObject *Sender);
        void __fastcall DS28901Click(TObject *Sender);
        void __fastcall DS14271Click(TObject *Sender);
        void __fastcall RW19901Click(TObject *Sender);
        void __fastcall Button13Click(TObject *Sender);
        void __fastcall DS24041Click(TObject *Sender);
        void __fastcall DS19201Click(TObject *Sender);
        void __fastcall DS19711Click(TObject *Sender);
        void __fastcall DS28E071Click(TObject *Sender);
        void __fastcall DS28E051Click(TObject *Sender);
        void __fastcall Chippdf1Click(TObject *Sender);
        void __fastcall AN19901Click(TObject *Sender);
        void __fastcall TM20041Click(TObject *Sender);
        void __fastcall DS25021Click(TObject *Sender);
        void __fastcall DS19821Click(TObject *Sender);
        void __fastcall DS24321Click(TObject *Sender);
        void __fastcall DS1961S1Click(TObject *Sender);
        void __fastcall MAX318261Click(TObject *Sender);
        void __fastcall Button14Click(TObject *Sender);
        void __fastcall Button15Click(TObject *Sender);
        void __fastcall RH00041Click(TObject *Sender);
        void __fastcall RH00101Click(TObject *Sender);
        void __fastcall Button16Click(TObject *Sender);
        void __fastcall DS28EC201Click(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
//--- ÝÊÑÏÎÐÒÈÐÓÅÌÛÅ ÃËÎÁÀËÜÍÛÅ ÏÅÐÅÌÅÍÍÛÅ ----------------------------------
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
